--
-- $Id$
--
-- Voeg kolom toe aan tabel om aan te geven of deze persoon gedistrubueerd moet worden over de omgevingen.

DEFINE thisfile = 'AAIT#56704.SQL'
DEFINE dbuser   = '^AAIT'
DEFINE custid   = 'AAIT'

SET ECHO ON
SET DEFINE ON
COLUMN fcltlogfile NEW_VALUE fcltlogfile NOPRINT;
WHENEVER SQLERROR EXIT;
SELECT adm.scriptspoolfile('&dbuser', '&thisfile') AS fcltlogfile FROM DUAL;
WHENEVER SQLERROR CONTINUE;
SPOOL &fcltlogfile
SET DEFINE OFF

------ payload begin ------
-- Voeg nieuw veld aan de import tabel toe om de distributie naar andere omgevingen te regelen
-- De waarde wordt uit een kenmerk (key 1080) in de tabel geplaatst
ALTER TABLE aait_imp_perslid
       ADD distributie VARCHAR2(100);

-- Initieel vullen we deze waarde met '*'. Dit betekent dat onderstaande personen over de verschillende
-- omgevingen gedistibueerd worden. Zoals nu net geval wordt.
INSERT INTO prs_kenmerklink (prs_link_key,
                             prs_kenmerk_key,
                             prs_kenmerklink_waarde)
    SELECT prs_perslid_key, 1080, '*'
      FROM prs_perslid
     WHERE     prs_perslid_verwijder IS NULL
           AND prs_perslid_naam NOT LIKE 'Inactief%'
           AND SUBSTR (prs_perslid_oslogin, 1, 1) <> '_';
------ payload end   ------

SET DEFINE OFF
BEGIN adm.systrackscriptId ('$Id$', 1); END;
/

COMMIT;
SET ECHO OFF
SPOOL OFF
SET DEFINE ON
PROMPT Logfile of this upgrade is: &fcltlogfile